# Session Options Object

{% hint style="danger" %}
**Important Note!**\
\
Constructor Groups’ V1 API has been retired and is no longer available to new customers. Please use the Groups V2 API going forward.\
\
Link to V2 API documentation: <https://developer.perculus.com/v2-en>
{% endhint %}

{% hint style="info" %}
**Since usage of** [***Options Object***](#options-object) **is optional, none of the fields are required by default.**
{% endhint %}

### Options Object

<table data-full-width="true"><thead><tr><th>Parameter</th><th width="165">Type</th><th>Default</th><th>Description</th></tr></thead><tbody><tr><td>allow_rating</td><td>boolean</td><td>true</td><td>Show 5-scale likert evaluation question at the end of the session. </td></tr><tr><td>preparation_time</td><td>integer</td><td>15</td><td>It allows administrators and instructors to join the session specified minutes before the planned time.</td></tr><tr><td>session_duration</td><td>integer</td><td>60</td><td>When the session is finished by the instructor, the session duration is also updated. If you want to store the planned session duration, you can use this option.</td></tr><tr><td>allow_users_stream_self_cam_mic</td><td>boolean</td><td>true</td><td>If it's set to true, the participants other than admins and instructors can open up their cameras and microphones.</td></tr><tr><td>hide_user_streams</td><td>boolean</td><td>false</td><td>Participants other than admins and instructors (unprivileged participants) cannot see other unprivileged participants.</td></tr><tr><td>enable_attendance_check</td><td>boolean</td><td>true</td><td>If it is set to true, a pop-up is displayed periodically to take attendance of (every 10 minutes) to every participant to let them click and engage. This option can be used to take attendance during session.</td></tr><tr><td>enable_simultaneous_interpretation</td><td>boolean</td><td>false</td><td>If this is set to true, the simultaneous interpretation module can be used.</td></tr><tr><td>enable_simultaneous_interpretation_for_users</td><td>boolean</td><td>false</td><td>If this is set to true, the simultaneous interpretation module can be used by all the participants.</td></tr><tr><td>start_active</td><td>boolean</td><td>false</td><td>By default, a Perculus session should be started by an instructor. If this is set to true, all users are sent in without waiting in the lobby.</td></tr><tr><td>return_url</td><td>string</td><td>null</td><td>If a valid URL is provided, the user is redirected to this URL at the end of the session. This is a useful feature for integrating Perculus into other platforms.</td></tr><tr><td>chat</td><td><a href="#chat-options"><mark style="color:blue;">Chat</mark></a></td><td>See object</td><td>Please see the Chat object below.</td></tr><tr><td>duration</td><td><a href="#duration-object"><mark style="color:blue;">Duration</mark></a></td><td>See object</td><td>Please see the Duration object below.</td></tr></tbody></table>

### Chat Options

<table data-full-width="true"><thead><tr><th width="292">Parameter</th><th width="167">Type</th><th>Default</th><th>Description</th></tr></thead><tbody><tr><td>offMessageModule</td><td>boolean</td><td>false</td><td>Disable all chat messaging, including private and public messaging.</td></tr><tr><td>offGeneralMsging</td><td>boolean</td><td>false</td><td>Disable public messaging</td></tr><tr><td>offGeneralMsgLimitForUser</td><td>boolean</td><td>false</td><td>Only admins and instructors can see participants' messages</td></tr><tr><td>offSpecialMsging</td><td>boolean</td><td>false</td><td>Disable private messaging</td></tr><tr><td>offSpecialMsgToAdmin</td><td>boolean</td><td>false</td><td>Disable sending private messages to admins</td></tr><tr><td>offSpecialMsgToUser</td><td>boolean</td><td>false</td><td>Disable private messaging between users</td></tr><tr><td>offClearForReplay</td><td>boolean</td><td>false</td><td>Clear messaging history and delete all of the chat messages when the session is finished</td></tr><tr><td>onNewMsgSoundInAll</td><td>boolean</td><td>false</td><td>Play sound for each new message</td></tr><tr><td>onNewMsgNotifyInAll</td><td>boolean</td><td>false</td><td>Show browser notification for each new message</td></tr></tbody></table>

### Duration Object

<table><thead><tr><th width="297">Parameter</th><th width="162">Type</th><th>Default</th><th>Description</th></tr></thead><tbody><tr><td>allowExtendTime</td><td>boolean</td><td>true</td><td>Allow time extension</td></tr><tr><td>useRemainingTime</td><td>boolean</td><td>false</td><td>Forces a session to finish at the remaining time regardless of active participation.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.perculus.com/services/session-management/session-create/session-options-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
